---
schema_version: "1"
id: 547fe0f245840456d33dc85782385ca542a62d6f06b6c0b56b2eb89f644a3da9
title: WebComponentLocalSettings | Tableau Embedding API
collection: tableau
version: current
locale: en-us
portal_url: https://docs.salesforce.com/tableau/current/en-us/api/embedding_api/reference/interfaces/WebComponentLocalSettings.md
canonical_url: https://help.tableau.com/current/api/embedding_api/en-us/reference/interfaces/WebComponentLocalSettings.html
source_site: help.tableau.com
content_type: documentation
content_hash: 6f7b90cc6684e63af0bfad23699fcbf03d3ea7e5922efe9cf15cb0a07e5f9daa
description: Documentation for Tableau Embedding API
---
- WebComponentLocalSettings

# Interface WebComponentLocalSettings

User supplied options that do not get passed as request parameters to load a Tableau viz, Tableau askdata

interface WebComponentLocalSettings {  
    [height](#height)?: string | number;  
    [src](#src)?: null | string;  
    [width](#width)?: string | number;  
}

#### Hierarchy ([View Summary](https://help.tableau.com/current/api/embedding_api/en-us/reference/hierarchy.html#WebComponentLocalSettings))

- WebComponentLocalSettings
    - [AskDataSettings](https://help.tableau.com/current/api/embedding_api/en-us/reference/interfaces/AskDataSettings.html)
    - [PulseSettings](https://help.tableau.com/current/api/embedding_api/en-us/reference/interfaces/PulseSettings.html)
    - [Viz](https://help.tableau.com/current/api/embedding_api/en-us/reference/interfaces/Viz.html)
    - [AuthoringViz](https://help.tableau.com/current/api/embedding_api/en-us/reference/interfaces/AuthoringViz.html)

- Defined in packages/api-external-contract-js/src/ExternalContract/Embedding/WebComponentInterfaces.ts:4

##### Index

### Properties

[height?](#height) [src?](#src) [width?](#width)

## Properties

### `Optional`height[](#height)

height?: string | number

Represents height in pixels Can be any valid CSS size specifier. If not specified, defaults to the published height of the view.

- Defined in packages/api-external-contract-js/src/ExternalContract/Embedding/WebComponentInterfaces.ts:20

### `Optional`src[](#src)

src?: null | string

The viz src

- Defined in packages/api-external-contract-js/src/ExternalContract/Embedding/WebComponentInterfaces.ts:8

### `Optional`width[](#width)

width?: string | number

Represents width in pixels Can be any valid CSS size specifier. If not specified, defaults to the published width of the view.

- Defined in packages/api-external-contract-js/src/ExternalContract/Embedding/WebComponentInterfaces.ts:14

### Settings

Member Visibility

- Protected
- Inherited
- External

ThemeOSLightDark

### On This Page

Properties

[height](#height)[src](#src)[width](#width)